# $Revision: 1.52 $, $Date: 2009/06/16 18:32:36 $
Summary:	Bazaar - a distributed revision control system
Summary(pl.UTF-8):	Bazaar - rozproszony system kontroli wersji
Name:		bzr
Version:	1.15
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	https://launchpad.net/bzr/1.15/1.15final/+download/%{name}-%{version}.tar.gz
# Source0-md5:	3309f74f1655d7971ca8cc3d4c9e9dfb
URL:		http://bazaar-vcs.org/
BuildRequires:	python >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq  python
# pdb module required by bzr
Requires:	python-devel-tools
Requires:	python-cElementTree
Requires:	python-paramiko
Requires:	python-pycurl
Obsoletes:	bazaar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bazaar (aka bzr) is a community project led by Canonical Limited to
develop a free software distributed revision control system that is
powerful, friendly, scalable and easy to use. Although Bazaar is a
distributed version control system it can also be used in a
centralized manner using lock step development and checkouts. Features
include:
- file and directory renames
- merging file renames
- versioning symbolic links
- knit merges instead of three-way merges
- gpg revision signing
- build-in high-speed web interface
- tags
- easy to learn normal file-system commands
- extensive Unicode support

Additional features like: cherry picking, other DVCS support, GUI and
many more are accessible from 3rd-party-tools and plugins.

%description -l pl.UTF-8
Bazaar (znany też jako bzr) to publiczny projekt mający na celu
stworzenie wolnodostępnego rozproszonego systemu kontroli wersji
będącego potężnym, przyjaznym, skalowalnym i łatwym w użyciu. Pomimo,
że Bazaar jest zaprojektowany do pracy w rozproszonym środowisku, może
być również używany w scentralizowanym modelu. Do głównych możliwości
należą:
- obsługa zmian nazw dla katalogów i plików
- scalanie pomiędzy plikami ze zmienioną nazwą
- obsługa dowiązań symbolicznych
- zaawansowane zespalanie zamiast tradycyjnego trójdrożnego
- podpisywanie rewizji przez gpg
- wbudowany wysokowydajny interfejs sieciowy
- tagi
- łatwy w użyciu interfejs linii poleceń
- szeroka obsługa Unikodu

Dodatkowe możliwości takie jak: cherry picking, obsługa innych
systemów kontroli wersji, GUI są dostępne poprzez dodatkowe pakiety
rozszerzeń.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--install-data %{_datadir} \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt NEWS README TODO
%attr(755,root,root) %{_bindir}/bzr
%{_mandir}/man1/bzr.1*
%{py_sitedir}/bzrlib
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bzr.spec,v $
Revision 1.52  2009/06/16 18:32:36  glen
- Ac compatible

Revision 1.51  2009/05/23 18:44:07  witekfl
- up to 1.15

Revision 1.50  2009/05/03 07:21:55  adamg
- updated to 1.14.1

Revision 1.49  2009/03/24 10:11:42  adamg
- updated to 1.13.1

Revision 1.48  2009/02/14 11:56:07  adamg
- updated to 1.12

Revision 1.47  2009/01/28 20:38:03  arekm
- up to 1.11

Revision 1.46  2008/12/06 12:36:55  arekm
- rel 2

Revision 1.45  2008/12/06 12:34:57  arekm
- drop ugly macros

Revision 1.44  2008/12/06 11:37:53  arekm
- up to 1.10

Revision 1.43  2008/12/04 20:48:57  arekm
- up to 1.9

Revision 1.42  2008/10/18 23:02:07  matkor
Version 1.8-1.

Revision 1.41  2008/10/15 07:10:19  matkor
- Version 1.7.1-1.

Revision 1.40  2008/10/07 18:10:52  patrys
- rel 2

Revision 1.39  2008/09/19 07:38:14  matkor
- Version 1.6.1

Revision 1.38  2008/06/30 09:59:47  matkor
- Release 2. R: python-devel-tools as it tries to import pdb module.

Revision 1.37  2008/05/27 16:16:45  qboosh
- more friendly Source0 URL

Revision 1.36  2008-05-22 16:26:21  matkor
- Version 1.5-1.

Revision 1.35  2008-05-15 09:38:57  matkor
- Updated to 1.4-1.

Revision 1.34  2008-03-24 12:06:55  adamg
- updated to 1.3

Revision 1.33  2008-01-19 16:06:42  matkor
- Version 1.1-1.

Revision 1.32  2008-01-06 15:02:28  qboosh
- BR: rpm-pythonprov
- _datadir macro

Revision 1.31  2007-12-14 16:13:10  matkor
- Version 1.0-1.

Revision 1.30  2007-11-08 18:25:11  megabajt
- it isn't noarch package (uses %{py_sitedir})

Revision 1.29  2007-09-26 10:05:31  matkor
- Version 0.91-1.

Revision 1.28  2007/09/02 11:45:33  matkor
- Version 0.90-1. Use --install-data switch instead of patch.

Revision 1.27  2007/07/18 18:13:06  qboosh
- typo, sorted Rs

Revision 1.26  2007/07/18 17:43:24  matkor
- Rel 2. Fixed R. (pointed out by Arkadiusz Machol

Revision 1.25  2007/07/17 20:55:42  matkor
- Version 1.18-1.

Revision 1.24  2007/06/24 18:56:21  arekm
- up to 0.17

Revision 1.23  2007/06/09 14:43:44  blues
- 0.16

Revision 1.22  2007/05/06 10:33:30  arekm
- up to 0.15 by Arkadiusz Machol

Revision 1.21  2007/03/06 08:21:08  qboosh
- Obsoletes: bazaar (merged from AC-branch)

Revision 1.20  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.18  2007/01/26 11:06:02  ankry
- US-ASCII: changelog must be C locale compatible

Revision 1.17  2007/01/26 10:24:00  glen
- latin2

Revision 1.16  2007/01/26 10:05:07  glen
- 0.14 by Arkadiusz Machol

Revision 1.15  2006/12/05 12:20:47  japhy
- Up to 0.13 (by Arkadiusz Machol <arkadiusz.machol@gmail.com>)

Revision 1.14  2006/10/31 23:08:50  japhy
- Up to current stable (by public.arkh@gmail.com)

Revision 1.13  2006/10/27 12:26:34  japhy
- Up to current RC (by <public.arkh@gmail.com>)

Revision 1.12  2006/10/03 08:01:08  qboosh
- simplified setup

Revision 1.11  2006/10/02 20:41:17  glen
- 0.11 final (by arkh)

Revision 1.10  2006/09/29 22:24:05  glen
- python epoch corrected

Revision 1.9  2006/09/29 22:23:46  glen
- 0.11rc2 by arkh

Revision 1.8  2006/09/14 19:59:27  glen
- 0.10, asked by Krystian Tomczyk from devel-en list

Revision 1.7  2006/06/17 22:10:51  glen
- new urls, cosmetics, package manual

Revision 1.6  2006/06/17 21:48:31  aredridel
- 0.8.2

Revision 1.5  2005/10/03 19:40:29  qboosh
- pl, cleanup

Revision 1.4  2005/09/28 19:58:46  arekm
- better url

Revision 1.3  2005/09/28 19:58:08  arekm
- up to 0.0.9

Revision 1.2  2005/09/19 19:47:40  arekm
- added docs

Revision 1.1  2005/09/19 19:44:17  arekm
- initial pld release
